<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Модерация жалоб');
$title->GetHeader();
if ($b['level'] < 1) {
header('location:/');
die();
}
echo '<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/administration/"style="text-decoration:none; color:white;"> Дата-центр</a> :: Модерация жалоб</div></div></div>';

switch($_GET['do']) {
default:
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM `complaint` WHERE `read` = ?", [1]);
echo '<div class="list-group-item media"><span class="label label-danger">Новое</span> <a href="?do=new"> Новые жалобы '.(!empty($look) ? '<font color="red">(+'.$look.')</font>':NULL).'</a></br></br>';
echo '<span class="label label-danger">Старое</span><a href="?do=list"> Рассмотреные жалобы ('.DB::$dbs->querySingle("SELECT COUNT(id) FROM `complaint` WHERE `read` = ?", [0]).') </a></div>';
break;
case 'new':
if (isset($_GET['ok'])) {
DB::$dbs->query("UPDATE `complaint` SET `read` = ? WHERE `id` = ?", [0,abs((int)$_GET['ok'])]);
header('location: ?do=new');
}
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM `complaint` WHERE `read` = ?",[1]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs -> query("SELECT * FROM `complaint` WHERE `read` = ? ORDER BY `time` DESC LIMIT $start,$num",[1]);
if ($sql->rowCount() == 0) {
err('Новых жалоб нет!');
} else {
while($a = $sql -> fetch()) {
echo '<div class="list-group-item media"><i class="zmdi zmdi-shuffle"></i> Действие с жалобом: '.($a['read'] == 1 ? '<a href="?do=new&ok='.$a['id'].'">[Рассмотрено]</a></div><div class="list-group-item media"><b><font color="red">[new]</font></b> ':NULL).Nick($a['user_id']).' ('.vr($a['time']).') оставил жалобу на пост '.Nick($a['id_user']).' за сообщение: '.text($a['text']).'<br/><b>Комментарие:</b> '.nl2br($a['komm']).(!empty($a['tema']) ? '<br/>
Ссылка на тему: <a href="'.$a['tema'].'">Перейти>></a>':NULL).'</div>';
}
}
if ($k_page>1) {
str('?do=new&', $k_page,$page);
}
break;
case 'list':
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM `complaint` WHERE `read` = ?",[0]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs -> query("SELECT * FROM `complaint` WHERE `read` = ? ORDER BY `time` DESC LIMIT $start,$num",[0]);
if ($sql->rowCount() == 0) {
err('Архив пуст!');
} else {
while($a = $sql -> fetch()) {
echo '<div class="list-group-item media">'.Nick($a['user_id']).' ('.vr($a['time']).') оставил жалобу на пост '.Nick($a['id_user']).' за сообщение: <br/>'.text($a['text']).'<br/><b>Комментарий:</b> '.text($a['komm']).(!empty($a['tema']) ? '<br/>Ссылка на тему: <a href="'.$a['tema'].'">Перейти>></a>':NULL).'</div>';
}
}
if ($k_page>1) {
str('?do=list&', $k_page,$page);
}
break;
}
$title->GetMenu();
$title->GetFooter();
?>